Package com.independentsoft.office.spreadsheet.pivotTables

# Class WorksheetSource

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.WorksheetSource

public class WorksheetSource extends Object
The Class WorksheetSource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorksheetSource()`
  Instantiates a new worksheet source.
  `WorksheetSource​(String sheetName, String reference)`
  Instantiates a new worksheet source.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorksheetSource`
  `clone()`
  `String`
  `getNamedRange()`
  Gets the named range.
  `String`
  `getReference()`
  Gets the reference.
  `String`
  `getSheetName()`
  Gets the sheet name.
  `void`
  `setNamedRange​(String namedRange)`
  Sets the named range.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setSheetName​(String sheetName)`
  Sets the sheet name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorksheetSource

    public WorksheetSource()
    Instantiates a new worksheet source.

  - ### WorksheetSource

    public WorksheetSource​(String sheetName, String reference)
    Instantiates a new worksheet source.
    Parameters:
      `sheetName` - the sheet name
      `reference` - the reference

- ## Method Details

  - ### clone

    public WorksheetSource clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNamedRange

    public String getNamedRange()
    Gets the named range.
    Returns:
      the named range

  - ### setNamedRange

    public void setNamedRange​(String namedRange)
    Sets the named range.
    Parameters:
      `namedRange` - the new named range

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getSheetName

    public String getSheetName()
    Gets the sheet name.
    Returns:
      the sheet name

  - ### setSheetName

    public void setSheetName​(String sheetName)
    Sets the sheet name.
    Parameters:
      `sheetName` - the new sheet name